Ipelib: ipe::PdfPainter Class Reference

Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes

# ipe::PdfPainter Class Reference

`#include <ipepdfwriter.h>`

Inherits ipe::Painter.

Inherited by ipe::PsPainter.

List of all members.

## Public Member Functions

- PdfPainter (const Cascade *style, Stream &stream)
- virtual ~PdfPainter ()

## Static Public Member Functions

- static void drawColor (Stream &stream, Color color, const char *gray, const char *rgb)

## Protected Member Functions

- virtual void doPush ()
- virtual void doPop ()
- virtual void doNewPath ()
- virtual void doMoveTo (const Vector &v)
- virtual void doLineTo (const Vector &v)
- virtual void doCurveTo (const Vector &v1, const Vector &v2, const Vector &v3)
- virtual void doClosePath ()
- virtual void doDrawPath (TPathMode mode)
- virtual void doDrawBitmap (Bitmap bitmap)
- virtual void doDrawText (const Text *text)
- virtual void doAddClipPath ()
- virtual void doDrawSymbol (Attribute symbol)
- void drawAttributes ()
- void drawOpacity ()

## Protected Attributes

- Stream & iStream
- std::list< State > iActiveState

## Constructor & Destructor Documentation

PdfPainter::PdfPainter | ( | const Cascade * | style,
|  | Stream & | stream
| ) |  |

virtual ipe::PdfPainter::~PdfPainter | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void PdfPainter::drawColor | ( | Stream & | stream,
|  | Color | color,
|  | const char * | gray,
|  | const char * | rgb
| ) |  | `[static]`

void PdfPainter::doPush | ( |  | ) | `[protected, virtual]`

Perform graphics state push on output medium.

Reimplemented from ipe::Painter.

void PdfPainter::doPop | ( |  | ) | `[protected, virtual]`

Perform graphics state pop on output medium.

Reimplemented from ipe::Painter.

void PdfPainter::doNewPath | ( |  | ) | `[protected, virtual]`

Perform new path operator.

Reimplemented from ipe::Painter.

Reimplemented in ipe::PsPainter.

void PdfPainter::doMoveTo | ( | const Vector & | v | ) | `[protected, virtual]`

Perform moveto operator.

The transformation matrix has already been applied.

Reimplemented from ipe::Painter.

void PdfPainter::doLineTo | ( | const Vector & | v | ) | `[protected, virtual]`

Perform lineto operator.

The transformation matrix has already been applied.

Reimplemented from ipe::Painter.

void PdfPainter::doCurveTo | ( | const Vector & | v1,
|  | const Vector & | v2,
|  | const Vector & | v3
| ) |  | `[protected, virtual]`

Perform curveto operator.

The transformation matrix has already been applied.

Reimplemented from ipe::Painter.

void PdfPainter::doClosePath | ( |  | ) | `[protected, virtual]`

Perform closepath operator.

Reimplemented from ipe::Painter.

void PdfPainter::doDrawPath | ( | TPathMode | mode | ) | `[protected, virtual]`

Actually draw the path.

Reimplemented from ipe::Painter.

Reimplemented in ipe::PsPainter.

void PdfPainter::doDrawBitmap | ( | Bitmap | bitmap | ) | `[protected, virtual]`

Draw a bitmap.

Reimplemented from ipe::Painter.

Reimplemented in ipe::PsPainter.

void PdfPainter::doDrawText | ( | const Text * | text | ) | `[protected, virtual]`

Draw a text object.

Reimplemented from ipe::Painter.

void PdfPainter::doAddClipPath | ( |  | ) | `[protected, virtual]`

Add a clip path.

Reimplemented from ipe::Painter.

Reimplemented in ipe::PsPainter.

void PdfPainter::doDrawSymbol | ( | Attribute | symbol | ) | `[protected, virtual]`

Draw a symbol.

The default implementation calls the draw method of the object. Only PDF drawing overrides this to reuse a PDF XForm.

Reimplemented from ipe::Painter.

void PdfPainter::drawAttributes | ( |  | ) | `[protected]`

void PdfPainter::drawOpacity | ( |  | ) | `[protected]`

## Member Data Documentation

Stream& ipe::PdfPainter::iStream`[protected]`

std::list<State> ipe::PdfPainter::iActiveState`[protected]`

The documentation for this class was generated from the following files:

- ipepdfwriter.h
- ipepdfwriter.cpp